FUNCTION::SWITCH_FIL(3stap)

NAME
function::switch_file - switch to the next output file

SYNOPSIS

    switch_file()

ARGUMENTS

None

DESCRIPTION

This function sends a signal to the stapio process, commanding it to rotate to the next output file when output is sent to file(s).

The mechanism of switching files was changed by upstream commit 5b39471380a238469c8fc18136f12600e5e9aec7 . With this commit, the rotation only works if there is some actual systemtap output.

SEE ALSO
tapset::switchfile(3stap)